using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

public class Finish : MonoBehaviour
{
    private Player player;
    private GameManager gameManager;

    void Start()
    {
        player = FindObjectOfType<Player>();
        gameManager = FindObjectOfType<GameManager>();
    }

    float XDistance(Vector3 other)
    {
        return Math.Abs(transform.position.x - other.x);
    }

    float YDistance(Vector3 other)
    {
        return Math.Abs(transform.position.y - other.y);
    }

    void Update()
    {
        if (XDistance(player.transform.position) < transform.scale.x / 70f + 0.1f & YDistance(player.transform.position) < transform.scale.y / 70f + 0.1f)
        {
            gameManager.finished = true;
        }
    }
}
