using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;

public class Particle : MonoBehaviour
{
    private float liveTime = 0;

	public Material green;
	public Material blue;
	public Material red;
	public Material yellow;
    public Material purple;
    public Material cyan;
    public Material orange;

    public int res = 1;

    void Start()
    {
        Player player = FindObjectOfType<Player>();
        res = (player.ball % 7) + 1;
    }

	
	void Update()
	{
        switch (res)
        {
            case 1:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, red);
                    break;
                }
            case 2:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, orange);
                    break;
                }
            case 3:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, yellow);
                    break;
                }
            case 4:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, green);
                    break;
                }
            case 5:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, cyan);
                    break;
                }
            case 6:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, blue);
                    break;
                }
            case 7:
                {
                    GetComponent<MeshRenderer>().SetSharedMaterial(0, purple);
                    break;
                }
        }

        liveTime += 1 * Time.deltaTime;
        if (liveTime >= 25)
        {
            Destroy(gameObject);
        }
	}
}
