using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;

public class Player : MonoBehaviour
{
	private float spawnTimer = 0f;
    private CameraManager Cam;
    private GameManager Game;

	public int ball = 1;

	public Prefab particle;

	private bool started = false;

    void Start()
    {
        Cam = FindObjectOfType<CameraManager>();
        Game = FindObjectOfType<GameManager>();
    }


    void PlayerProcess()
    {
        spawnTimer += 1 * Time.deltaTime;
        if (spawnTimer >= 0.1)
        {
            spawnTimer = 0;
            GameObject p = particle.Instantiate(transform.position + new Vector3(0f, 0f, 1f));
            p.transform.scale = transform.scale;
            ball += 1;
        }

        //if (Math.Abs(rigidbody.linearVelocity.x) + Math.Abs(rigidbody.linearVelocity.y) + Math.Abs(rigidbody.linearVelocity.z) < 1f)
        //{
        //    Game.stopped = true;
        //}
    }


    void Update()
	{
        if (Game.loaded)
        {

            if (!started)
            {
                if (Input.GetMouseButtonUp(0))
                {
                    rigidbody.linearVelocity = -Cam.DirectionFromCenter() * 10;
                    started = true;
                }
            }
            else
            {
                if (!Game.finished & !Game.stopped)
                {
                    PlayerProcess();
                }
                else
                {
                    rigidbody.linearVelocity = new Vector3(0f, 0f, 0f);
                }
            }
        }
	}
}
